Makefile 44 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985986987988989990991992993994995996997998999100010011002100310041005100610071008100910101011101210131014101510161017101810191020102110221023102410251026102710281029103010311032103310341035103610371038103910401041104210431044104510461047104810491050105110521053105410551056105710581059106010611062106310641065106610671068106910701071107210731074107510761077107810791080108110821083108410851086108710881089109010911092109310941095109610971098109911001101110211031104110511061107110811091110111111121113111411151116111711181119112011211122112311241125112611271128112911301131113211331134113511361137113811391140114111421143114411451146114711481149115011511152115311541155115611571158115911601161116211631164116511661167116811691170117111721173117411751176117711781179118011811182118311841185118611871188118911901191119211931194119511961197119811991200120112021203120412051206120712081209121012111212121312141215121612171218121912201221122212231224122512261227122812291230123112321233123412351236123712381239124012411242124312441245124612471248124912501251125212531254125512561257125812591260126112621263126412651266126712681269127012711272127312741275
  1. # Makefile.in generated by automake 1.16.1 from Makefile.am.
  2. # docs/libcurl/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2018 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. #***************************************************************************
  12. # _ _ ____ _
  13. # Project ___| | | | _ \| |
  14. # / __| | | | |_) | |
  15. # | (__| |_| | _ <| |___
  16. # \___|\___/|_| \_\_____|
  17. #
  18. # Copyright (C) 1998 - 2018, Daniel Stenberg, <daniel@haxx.se>, et al.
  19. #
  20. # This software is licensed as described in the file COPYING, which
  21. # you should have received as part of this distribution. The terms
  22. # are also available at https://curl.haxx.se/docs/copyright.html.
  23. #
  24. # You may opt to use, copy, modify, merge, publish, distribute and/or sell
  25. # copies of the Software, and permit persons to whom the Software is
  26. # furnished to do so, under the terms of the COPYING file.
  27. #
  28. # This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
  29. # KIND, either express or implied.
  30. #
  31. ###########################################################################
  32. # Shared between Makefile.am and CMakeLists.txt
  33. am__is_gnu_make = { \
  34. if test -z '$(MAKELEVEL)'; then \
  35. false; \
  36. elif test -n '$(MAKE_HOST)'; then \
  37. true; \
  38. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  39. true; \
  40. else \
  41. false; \
  42. fi; \
  43. }
  44. am__make_running_with_option = \
  45. case $${target_option-} in \
  46. ?) ;; \
  47. *) echo "am__make_running_with_option: internal error: invalid" \
  48. "target option '$${target_option-}' specified" >&2; \
  49. exit 1;; \
  50. esac; \
  51. has_opt=no; \
  52. sane_makeflags=$$MAKEFLAGS; \
  53. if $(am__is_gnu_make); then \
  54. sane_makeflags=$$MFLAGS; \
  55. else \
  56. case $$MAKEFLAGS in \
  57. *\\[\ \ ]*) \
  58. bs=\\; \
  59. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  60. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  61. esac; \
  62. fi; \
  63. skip_next=no; \
  64. strip_trailopt () \
  65. { \
  66. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  67. }; \
  68. for flg in $$sane_makeflags; do \
  69. test $$skip_next = yes && { skip_next=no; continue; }; \
  70. case $$flg in \
  71. *=*|--*) continue;; \
  72. -*I) strip_trailopt 'I'; skip_next=yes;; \
  73. -*I?*) strip_trailopt 'I';; \
  74. -*O) strip_trailopt 'O'; skip_next=yes;; \
  75. -*O?*) strip_trailopt 'O';; \
  76. -*l) strip_trailopt 'l'; skip_next=yes;; \
  77. -*l?*) strip_trailopt 'l';; \
  78. -[dEDm]) skip_next=yes;; \
  79. -[JT]) skip_next=yes;; \
  80. esac; \
  81. case $$flg in \
  82. *$$target_option*) has_opt=yes; break;; \
  83. esac; \
  84. done; \
  85. test $$has_opt = yes
  86. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  87. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  88. pkgdatadir = $(datadir)/curl
  89. pkgincludedir = $(includedir)/curl
  90. pkglibdir = $(libdir)/curl
  91. pkglibexecdir = $(libexecdir)/curl
  92. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  93. install_sh_DATA = $(install_sh) -c -m 644
  94. install_sh_PROGRAM = $(install_sh) -c
  95. install_sh_SCRIPT = $(install_sh) -c
  96. INSTALL_HEADER = $(INSTALL_DATA)
  97. transform = $(program_transform_name)
  98. NORMAL_INSTALL = :
  99. PRE_INSTALL = :
  100. POST_INSTALL = :
  101. NORMAL_UNINSTALL = :
  102. PRE_UNINSTALL = :
  103. POST_UNINSTALL = :
  104. build_triplet = x86_64-pc-linux-gnu
  105. host_triplet = arm-unknown-linux-gnueabihf
  106. subdir = docs/libcurl
  107. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  108. am__aclocal_m4_deps = $(top_srcdir)/m4/ax_code_coverage.m4 \
  109. $(top_srcdir)/m4/ax_compile_check_sizeof.m4 \
  110. $(top_srcdir)/m4/curl-compilers.m4 \
  111. $(top_srcdir)/m4/curl-confopts.m4 \
  112. $(top_srcdir)/m4/curl-functions.m4 \
  113. $(top_srcdir)/m4/curl-openssl.m4 \
  114. $(top_srcdir)/m4/curl-override.m4 \
  115. $(top_srcdir)/m4/curl-reentrant.m4 $(top_srcdir)/m4/libtool.m4 \
  116. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  117. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  118. $(top_srcdir)/m4/xc-am-iface.m4 \
  119. $(top_srcdir)/m4/xc-cc-check.m4 \
  120. $(top_srcdir)/m4/xc-lt-iface.m4 \
  121. $(top_srcdir)/m4/xc-translit.m4 \
  122. $(top_srcdir)/m4/xc-val-flgs.m4 \
  123. $(top_srcdir)/m4/zz40-xc-ovr.m4 \
  124. $(top_srcdir)/m4/zz50-xc-ovr.m4 \
  125. $(top_srcdir)/m4/zz60-xc-ovr.m4 $(top_srcdir)/acinclude.m4 \
  126. $(top_srcdir)/configure.ac
  127. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  128. $(ACLOCAL_M4)
  129. DIST_COMMON = $(srcdir)/Makefile.am $(dist_m4macro_DATA) \
  130. $(am__DIST_COMMON)
  131. mkinstalldirs = $(install_sh) -d
  132. CONFIG_HEADER = $(top_builddir)/lib/curl_config.h
  133. CONFIG_CLEAN_FILES =
  134. CONFIG_CLEAN_VPATH_FILES =
  135. AM_V_P = $(am__v_P_$(V))
  136. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  137. am__v_P_0 = false
  138. am__v_P_1 = :
  139. AM_V_GEN = $(am__v_GEN_$(V))
  140. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  141. am__v_GEN_0 = @echo " GEN " $@;
  142. am__v_GEN_1 =
  143. AM_V_at = $(am__v_at_$(V))
  144. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  145. am__v_at_0 = @
  146. am__v_at_1 =
  147. depcomp =
  148. am__maybe_remake_depfiles =
  149. SOURCES =
  150. DIST_SOURCES =
  151. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  152. ctags-recursive dvi-recursive html-recursive info-recursive \
  153. install-data-recursive install-dvi-recursive \
  154. install-exec-recursive install-html-recursive \
  155. install-info-recursive install-pdf-recursive \
  156. install-ps-recursive install-recursive installcheck-recursive \
  157. installdirs-recursive pdf-recursive ps-recursive \
  158. tags-recursive uninstall-recursive
  159. am__can_run_installinfo = \
  160. case $$AM_UPDATE_INFO_DIR in \
  161. n|no|NO) false;; \
  162. *) (install-info --version) >/dev/null 2>&1;; \
  163. esac
  164. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  165. am__vpath_adj = case $$p in \
  166. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  167. *) f=$$p;; \
  168. esac;
  169. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  170. am__install_max = 40
  171. am__nobase_strip_setup = \
  172. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  173. am__nobase_strip = \
  174. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  175. am__nobase_list = $(am__nobase_strip_setup); \
  176. for p in $$list; do echo "$$p $$p"; done | \
  177. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  178. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  179. if (++n[$$2] == $(am__install_max)) \
  180. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  181. END { for (dir in files) print dir, files[dir] }'
  182. am__base_list = \
  183. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  184. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  185. am__uninstall_files_from_dir = { \
  186. test -z "$$files" \
  187. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  188. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  189. $(am__cd) "$$dir" && rm -f $$files; }; \
  190. }
  191. man3dir = $(mandir)/man3
  192. am__installdirs = "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(m4macrodir)"
  193. MANS = $(man_MANS)
  194. DATA = $(dist_m4macro_DATA)
  195. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  196. distclean-recursive maintainer-clean-recursive
  197. am__recursive_targets = \
  198. $(RECURSIVE_TARGETS) \
  199. $(RECURSIVE_CLEAN_TARGETS) \
  200. $(am__extra_recursive_targets)
  201. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  202. check recheck distdir distdir-am
  203. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  204. # Read a list of newline-separated strings from the standard input,
  205. # and print each of them once, without duplicates. Input order is
  206. # *not* preserved.
  207. am__uniquify_input = $(AWK) '\
  208. BEGIN { nonempty = 0; } \
  209. { items[$$0] = 1; nonempty = 1; } \
  210. END { if (nonempty) { for (i in items) print i; }; } \
  211. '
  212. # Make sure the list of sources is unique. This is necessary because,
  213. # e.g., the same source file might be shared among _SOURCES variables
  214. # for different programs/libraries.
  215. am__define_uniq_tagged_files = \
  216. list='$(am__tagged_files)'; \
  217. unique=`for i in $$list; do \
  218. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  219. done | $(am__uniquify_input)`
  220. ETAGS = etags
  221. CTAGS = ctags
  222. am__tty_colors_dummy = \
  223. mgn= red= grn= lgn= blu= brg= std=; \
  224. am__color_tests=no
  225. am__tty_colors = { \
  226. $(am__tty_colors_dummy); \
  227. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  228. am__color_tests=no; \
  229. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  230. am__color_tests=yes; \
  231. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  232. am__color_tests=yes; \
  233. fi; \
  234. if test $$am__color_tests = yes; then \
  235. red=''; \
  236. grn=''; \
  237. lgn=''; \
  238. blu=''; \
  239. mgn=''; \
  240. brg=''; \
  241. std=''; \
  242. fi; \
  243. }
  244. am__recheck_rx = ^[ ]*:recheck:[ ]*
  245. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  246. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  247. # A command that, given a newline-separated list of test names on the
  248. # standard input, print the name of the tests that are to be re-run
  249. # upon "make recheck".
  250. am__list_recheck_tests = $(AWK) '{ \
  251. recheck = 1; \
  252. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  253. { \
  254. if (rc < 0) \
  255. { \
  256. if ((getline line2 < ($$0 ".log")) < 0) \
  257. recheck = 0; \
  258. break; \
  259. } \
  260. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  261. { \
  262. recheck = 0; \
  263. break; \
  264. } \
  265. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  266. { \
  267. break; \
  268. } \
  269. }; \
  270. if (recheck) \
  271. print $$0; \
  272. close ($$0 ".trs"); \
  273. close ($$0 ".log"); \
  274. }'
  275. # A command that, given a newline-separated list of test names on the
  276. # standard input, create the global log from their .trs and .log files.
  277. am__create_global_log = $(AWK) ' \
  278. function fatal(msg) \
  279. { \
  280. print "fatal: making $@: " msg | "cat >&2"; \
  281. exit 1; \
  282. } \
  283. function rst_section(header) \
  284. { \
  285. print header; \
  286. len = length(header); \
  287. for (i = 1; i <= len; i = i + 1) \
  288. printf "="; \
  289. printf "\n\n"; \
  290. } \
  291. { \
  292. copy_in_global_log = 1; \
  293. global_test_result = "RUN"; \
  294. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  295. { \
  296. if (rc < 0) \
  297. fatal("failed to read from " $$0 ".trs"); \
  298. if (line ~ /$(am__global_test_result_rx)/) \
  299. { \
  300. sub("$(am__global_test_result_rx)", "", line); \
  301. sub("[ ]*$$", "", line); \
  302. global_test_result = line; \
  303. } \
  304. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  305. copy_in_global_log = 0; \
  306. }; \
  307. if (copy_in_global_log) \
  308. { \
  309. rst_section(global_test_result ": " $$0); \
  310. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  311. { \
  312. if (rc < 0) \
  313. fatal("failed to read from " $$0 ".log"); \
  314. print line; \
  315. }; \
  316. printf "\n"; \
  317. }; \
  318. close ($$0 ".trs"); \
  319. close ($$0 ".log"); \
  320. }'
  321. # Restructured Text title.
  322. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  323. # Solaris 10 'make', and several other traditional 'make' implementations,
  324. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  325. # by disabling -e (using the XSI extension "set +e") if it's set.
  326. am__sh_e_setup = case $$- in *e*) set +e;; esac
  327. # Default flags passed to test drivers.
  328. am__common_driver_flags = \
  329. --color-tests "$$am__color_tests" \
  330. --enable-hard-errors "$$am__enable_hard_errors" \
  331. --expect-failure "$$am__expect_failure"
  332. # To be inserted before the command running the test. Creates the
  333. # directory for the log if needed. Stores in $dir the directory
  334. # containing $f, in $tst the test, in $log the log. Executes the
  335. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  336. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  337. # will run the test scripts (or their associated LOG_COMPILER, if
  338. # thy have one).
  339. am__check_pre = \
  340. $(am__sh_e_setup); \
  341. $(am__vpath_adj_setup) $(am__vpath_adj) \
  342. $(am__tty_colors); \
  343. srcdir=$(srcdir); export srcdir; \
  344. case "$@" in \
  345. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  346. *) am__odir=.;; \
  347. esac; \
  348. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  349. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  350. if test -f "./$$f"; then dir=./; \
  351. elif test -f "$$f"; then dir=; \
  352. else dir="$(srcdir)/"; fi; \
  353. tst=$$dir$$f; log='$@'; \
  354. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  355. am__enable_hard_errors=no; \
  356. else \
  357. am__enable_hard_errors=yes; \
  358. fi; \
  359. case " $(XFAIL_TESTS) " in \
  360. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  361. am__expect_failure=yes;; \
  362. *) \
  363. am__expect_failure=no;; \
  364. esac; \
  365. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  366. # A shell command to get the names of the tests scripts with any registered
  367. # extension removed (i.e., equivalently, the names of the test logs, with
  368. # the '.log' extension removed). The result is saved in the shell variable
  369. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  370. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  371. # since that might cause problem with VPATH rewrites for suffix-less tests.
  372. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  373. am__set_TESTS_bases = \
  374. bases='$(TEST_LOGS)'; \
  375. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  376. bases=`echo $$bases`
  377. RECHECK_LOGS = $(TEST_LOGS)
  378. TEST_SUITE_LOG = test-suite.log
  379. TEST_EXTENSIONS = .test
  380. LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  381. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  382. am__set_b = \
  383. case '$@' in \
  384. */*) \
  385. case '$*' in \
  386. */*) b='$*';; \
  387. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  388. esac;; \
  389. *) \
  390. b='$*';; \
  391. esac
  392. am__test_logs1 = $(TESTS:=.log)
  393. am__test_logs2 = $(am__test_logs1:.log=.log)
  394. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  395. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  396. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  397. $(TEST_LOG_FLAGS)
  398. DIST_SUBDIRS = $(SUBDIRS)
  399. am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.inc \
  400. $(top_srcdir)/test-driver
  401. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  402. am__relativize = \
  403. dir0=`pwd`; \
  404. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  405. sed_rest='s,^[^/]*/*,,'; \
  406. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  407. sed_butlast='s,/*[^/]*$$,,'; \
  408. while test -n "$$dir1"; do \
  409. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  410. if test "$$first" != "."; then \
  411. if test "$$first" = ".."; then \
  412. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  413. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  414. else \
  415. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  416. if test "$$first2" = "$$first"; then \
  417. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  418. else \
  419. dir2="../$$dir2"; \
  420. fi; \
  421. dir0="$$dir0"/"$$first"; \
  422. fi; \
  423. fi; \
  424. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  425. done; \
  426. reldir="$$dir2"
  427. ACLOCAL = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/curl-7.61.1/missing aclocal-1.16
  428. AMTAR = $${TAR-tar}
  429. AM_DEFAULT_VERBOSITY = 0
  430. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  431. AR_FLAGS = cr
  432. AS = as
  433. AUTOCONF = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/curl-7.61.1/missing autoconf
  434. AUTOHEADER = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/curl-7.61.1/missing autoheader
  435. AUTOMAKE = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/curl-7.61.1/missing automake-1.16
  436. AWK = gawk
  437. BLANK_AT_MAKETIME =
  438. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  439. CCDEPMODE = depmode=gcc3
  440. CFLAGS = -Werror-implicit-function-declaration -O2 -Wno-system-headers -pthread
  441. CFLAG_CURL_SYMBOL_HIDING = -fvisibility=hidden
  442. CODE_COVERAGE_CFLAGS =
  443. CODE_COVERAGE_CPPFLAGS =
  444. CODE_COVERAGE_CXXFLAGS =
  445. CODE_COVERAGE_ENABLED = no
  446. CODE_COVERAGE_LDFLAGS =
  447. CODE_COVERAGE_LIBS =
  448. CONFIGURE_OPTIONS = " '--host=arm-linux-gnueabihf' '--prefix=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/curl-7.61.1/release' '--with-ssl=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/openssl-1.1.1n/release' '--with-zlib' '--enable-static' '--enable-libgcc' 'CC=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc' 'AR=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar' 'RANLIB=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ranlib' 'STRIP=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-strip' 'CXX=/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-g++' 'host_alias=arm-linux-gnueabihf'"
  449. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  450. CPPFLAGS = -I/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/openssl-1.1.1n/release/include
  451. CPPFLAG_CURL_STATICLIB =
  452. CURLVERSION = 7.61.1
  453. CURL_CA_BUNDLE =
  454. CURL_CFLAG_EXTRAS =
  455. CURL_DISABLE_DICT =
  456. CURL_DISABLE_FILE =
  457. CURL_DISABLE_FTP =
  458. CURL_DISABLE_GOPHER =
  459. CURL_DISABLE_HTTP =
  460. CURL_DISABLE_IMAP =
  461. CURL_DISABLE_LDAP = 1
  462. CURL_DISABLE_LDAPS = 1
  463. CURL_DISABLE_POP3 =
  464. CURL_DISABLE_PROXY =
  465. CURL_DISABLE_RTSP =
  466. CURL_DISABLE_SMB =
  467. CURL_DISABLE_SMTP =
  468. CURL_DISABLE_TELNET =
  469. CURL_DISABLE_TFTP =
  470. CURL_LT_SHLIB_VERSIONED_FLAVOUR =
  471. CURL_NETWORK_AND_TIME_LIBS = -lgcc
  472. CURL_NETWORK_LIBS = -lgcc
  473. CURL_WITH_MULTI_SSL =
  474. CYGPATH_W = echo
  475. DEFAULT_SSL_BACKEND = no
  476. DEFS = -DHAVE_CONFIG_H
  477. DEPDIR = .deps
  478. DLLTOOL = false
  479. DSYMUTIL =
  480. DUMPBIN = :
  481. ECHO_C =
  482. ECHO_N = -n
  483. ECHO_T =
  484. EGREP = /bin/grep -E
  485. ENABLE_SHARED = yes
  486. ENABLE_STATIC = yes
  487. EXEEXT =
  488. FGREP = /bin/grep -F
  489. GCOV =
  490. GENHTML =
  491. GREP = /bin/grep
  492. HAVE_BROTLI =
  493. HAVE_GNUTLS_SRP =
  494. HAVE_LDAP_SSL = 1
  495. HAVE_LIBZ = 1
  496. HAVE_OPENSSL_SRP = 1
  497. IDN_ENABLED =
  498. INSTALL = /usr/bin/install -c
  499. INSTALL_DATA = ${INSTALL} -m 644
  500. INSTALL_PROGRAM = ${INSTALL}
  501. INSTALL_SCRIPT = ${INSTALL}
  502. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  503. IPV6_ENABLED = 1
  504. LCOV =
  505. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  506. LDFLAGS = -L/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/openssl-1.1.1n/release/lib
  507. LIBCURL_LIBS = -lssl -lcrypto -lssl -lcrypto -lz -lgcc
  508. LIBMETALINK_CPPFLAGS =
  509. LIBMETALINK_LDFLAGS =
  510. LIBMETALINK_LIBS =
  511. LIBOBJS =
  512. LIBS = -lssl -lcrypto -lssl -lcrypto -lz -lgcc
  513. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  514. LIPO =
  515. LN_S = ln -s
  516. LTLIBOBJS =
  517. LT_SYS_LIBRARY_PATH =
  518. MAINT = #
  519. MAKEINFO = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/curl-7.61.1/missing makeinfo
  520. MANIFEST_TOOL = :
  521. MANOPT = -man
  522. MKDIR_P = /bin/mkdir -p
  523. NM = nm
  524. NMEDIT =
  525. NROFF = /usr/bin/nroff
  526. NSS_LIBS =
  527. OBJDUMP = objdump
  528. OBJEXT = o
  529. OTOOL =
  530. OTOOL64 =
  531. PACKAGE = curl
  532. PACKAGE_BUGREPORT = a suitable curl mailing list: https://curl.haxx.se/mail/
  533. PACKAGE_NAME = curl
  534. PACKAGE_STRING = curl -
  535. PACKAGE_TARNAME = curl
  536. PACKAGE_URL =
  537. PACKAGE_VERSION = -
  538. PATH_SEPARATOR = :
  539. PERL = /usr/bin/perl
  540. PKGADD_NAME = curl - a client that groks URLs
  541. PKGADD_PKG = HAXXcurl
  542. PKGADD_VENDOR = curl.haxx.se
  543. PKGCONFIG = no
  544. RANDOM_FILE =
  545. RANLIB = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ranlib
  546. REQUIRE_LIB_DEPS = no
  547. SED = /bin/sed
  548. SET_MAKE =
  549. SHELL = /bin/bash
  550. SSL_BACKENDS = OpenSSL
  551. SSL_ENABLED = 1
  552. SSL_LIBS = -lssl -lcrypto
  553. STRIP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-strip
  554. SUPPORT_FEATURES = SSL IPv6 UnixSockets libz AsynchDNS NTLM NTLM_WB TLS-SRP HTTPS-proxy
  555. SUPPORT_PROTOCOLS = DICT FILE FTP FTPS GOPHER HTTP HTTPS IMAP IMAPS POP3 POP3S RTSP SMB SMBS SMTP SMTPS TELNET TFTP
  556. USE_ARES =
  557. USE_AXTLS =
  558. USE_CYASSL =
  559. USE_DARWINSSL =
  560. USE_GNUTLS =
  561. USE_GNUTLS_NETTLE =
  562. USE_LIBRTMP =
  563. USE_LIBSSH =
  564. USE_LIBSSH2 =
  565. USE_MBEDTLS =
  566. USE_NGHTTP2 =
  567. USE_NSS =
  568. USE_OPENLDAP =
  569. USE_POLARSSL =
  570. USE_SCHANNEL =
  571. USE_UNIX_SOCKETS = 1
  572. USE_WINDOWS_SSPI =
  573. VERSION = -
  574. VERSIONNUM = 073d01
  575. ZLIB_LIBS = -lz
  576. ZSH_FUNCTIONS_DIR = ${prefix}/share/zsh/site-functions
  577. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/curl-7.61.1/docs/libcurl
  578. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/curl-7.61.1/docs/libcurl
  579. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/curl-7.61.1
  580. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/curl-7.61.1
  581. ac_ct_AR =
  582. ac_ct_CC =
  583. ac_ct_DUMPBIN = link -dump
  584. am__include = include
  585. am__leading_dot = .
  586. am__quote =
  587. am__tar = $${TAR-tar} chof - "$$tardir"
  588. am__untar = $${TAR-tar} xf -
  589. bindir = ${exec_prefix}/bin
  590. build = x86_64-pc-linux-gnu
  591. build_alias =
  592. build_cpu = x86_64
  593. build_os = linux-gnu
  594. build_vendor = pc
  595. builddir = .
  596. datadir = ${datarootdir}
  597. datarootdir = ${prefix}/share
  598. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  599. dvidir = ${docdir}
  600. exec_prefix = ${prefix}
  601. host = arm-unknown-linux-gnueabihf
  602. host_alias = arm-linux-gnueabihf
  603. host_cpu = arm
  604. host_os = linux-gnueabihf
  605. host_vendor = unknown
  606. htmldir = ${docdir}
  607. includedir = ${prefix}/include
  608. infodir = ${datarootdir}/info
  609. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/curl-7.61.1/install-sh
  610. libdir = ${exec_prefix}/lib
  611. libexecdir = ${exec_prefix}/libexec
  612. libext = a
  613. localedir = ${datarootdir}/locale
  614. localstatedir = ${prefix}/var
  615. mandir = ${datarootdir}/man
  616. mkdir_p = $(MKDIR_P)
  617. oldincludedir = /usr/include
  618. pdfdir = ${docdir}
  619. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/curl-7.61.1/release
  620. program_transform_name = s,x,x,
  621. psdir = ${docdir}
  622. runstatedir = ${localstatedir}/run
  623. sbindir = ${exec_prefix}/sbin
  624. sharedstatedir = ${prefix}/com
  625. srcdir = .
  626. subdirs =
  627. sysconfdir = ${prefix}/etc
  628. target_alias =
  629. top_build_prefix = ../../
  630. top_builddir = ../..
  631. top_srcdir = ../..
  632. AUTOMAKE_OPTIONS = foreign no-dependencies
  633. SUBDIRS = opts
  634. man_MANS = curl_easy_cleanup.3 curl_easy_getinfo.3 curl_easy_init.3 \
  635. curl_easy_perform.3 curl_easy_setopt.3 curl_easy_duphandle.3 \
  636. curl_formadd.3 curl_formfree.3 curl_getdate.3 curl_getenv.3 \
  637. curl_slist_append.3 curl_slist_free_all.3 curl_version.3 \
  638. curl_version_info.3 curl_escape.3 curl_unescape.3 curl_free.3 \
  639. curl_strequal.3 curl_strnequal.3 curl_mprintf.3 curl_global_init.3 \
  640. curl_global_cleanup.3 curl_multi_add_handle.3 curl_multi_cleanup.3 \
  641. curl_multi_fdset.3 curl_multi_info_read.3 curl_multi_init.3 \
  642. curl_multi_perform.3 curl_multi_remove_handle.3 curl_share_cleanup.3 \
  643. curl_share_init.3 curl_share_setopt.3 libcurl.3 libcurl-easy.3 \
  644. libcurl-multi.3 libcurl-share.3 libcurl-errors.3 curl_easy_strerror.3 \
  645. curl_multi_strerror.3 curl_share_strerror.3 curl_global_init_mem.3 \
  646. libcurl-tutorial.3 curl_easy_reset.3 curl_easy_escape.3 \
  647. curl_easy_unescape.3 curl_multi_setopt.3 curl_multi_socket.3 \
  648. curl_multi_timeout.3 curl_formget.3 curl_multi_assign.3 \
  649. curl_easy_pause.3 curl_easy_recv.3 curl_easy_send.3 \
  650. curl_multi_socket_action.3 curl_multi_wait.3 libcurl-symbols.3 \
  651. libcurl-thread.3 curl_multi_socket_all.3 curl_global_sslset.3 \
  652. curl_mime_init.3 curl_mime_free.3 curl_mime_addpart.3 curl_mime_name.3 \
  653. curl_mime_data.3 curl_mime_data_cb.3 curl_mime_filedata.3 \
  654. curl_mime_filename.3 curl_mime_subparts.3 \
  655. curl_mime_type.3 curl_mime_headers.3 curl_mime_encoder.3 libcurl-env.3 \
  656. libcurl-security.3
  657. man_DISTMANS = $(man_MANS:.3=.3.dist)
  658. HTMLPAGES = $(man_MANS:.3=.html)
  659. PDFPAGES = $(man_MANS:.3=.pdf)
  660. m4macrodir = $(datadir)/aclocal
  661. dist_m4macro_DATA = libcurl.m4
  662. CLEANFILES = $(HTMLPAGES) $(PDFPAGES) $(TESTS) $(man_DISTMANS) \
  663. libcurl-symbols.3
  664. EXTRA_DIST = $(man_MANS) ABI symbols-in-versions symbols.pl \
  665. mksymbolsmanpage.pl CMakeLists.txt
  666. MAN2HTML = roffit --mandir=. $< >$@
  667. SUFFIXES = .3 .html
  668. # Make sure each option man page is referenced in the main man page
  669. TESTS = check-easy check-multi
  670. LOG_COMPILER = $(PERL)
  671. # The test fails if the log file contains any text
  672. AM_LOG_FLAGS = -p -e 'die "$$_" if ($$_);'
  673. all: all-recursive
  674. .SUFFIXES:
  675. .SUFFIXES: .3 .html .log .pdf .test .test$(EXEEXT) .trs
  676. $(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(srcdir)/Makefile.inc $(am__configure_deps)
  677. @for dep in $?; do \
  678. case '$(am__configure_deps)' in \
  679. *$$dep*) \
  680. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  681. && { if test -f $@; then exit 0; else break; fi; }; \
  682. exit 1;; \
  683. esac; \
  684. done; \
  685. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/libcurl/Makefile'; \
  686. $(am__cd) $(top_srcdir) && \
  687. $(AUTOMAKE) --foreign docs/libcurl/Makefile
  688. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  689. @case '$?' in \
  690. *config.status*) \
  691. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  692. *) \
  693. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  694. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  695. esac;
  696. $(srcdir)/Makefile.inc $(am__empty):
  697. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  698. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  699. $(top_srcdir)/configure: # $(am__configure_deps)
  700. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  701. $(ACLOCAL_M4): # $(am__aclocal_m4_deps)
  702. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  703. $(am__aclocal_m4_deps):
  704. mostlyclean-libtool:
  705. -rm -f *.lo
  706. clean-libtool:
  707. -rm -rf .libs _libs
  708. install-man3: $(man_MANS)
  709. @$(NORMAL_INSTALL)
  710. @list1=''; \
  711. list2='$(man_MANS)'; \
  712. test -n "$(man3dir)" \
  713. && test -n "`echo $$list1$$list2`" \
  714. || exit 0; \
  715. echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
  716. $(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
  717. { for i in $$list1; do echo "$$i"; done; \
  718. if test -n "$$list2"; then \
  719. for i in $$list2; do echo "$$i"; done \
  720. | sed -n '/\.3[a-z]*$$/p'; \
  721. fi; \
  722. } | while read p; do \
  723. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  724. echo "$$d$$p"; echo "$$p"; \
  725. done | \
  726. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
  727. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  728. sed 'N;N;s,\n, ,g' | { \
  729. list=; while read file base inst; do \
  730. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  731. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
  732. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
  733. fi; \
  734. done; \
  735. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  736. while read files; do \
  737. test -z "$$files" || { \
  738. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
  739. $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
  740. done; }
  741. uninstall-man3:
  742. @$(NORMAL_UNINSTALL)
  743. @list=''; test -n "$(man3dir)" || exit 0; \
  744. files=`{ for i in $$list; do echo "$$i"; done; \
  745. l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  746. sed -n '/\.3[a-z]*$$/p'; \
  747. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
  748. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  749. dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
  750. install-dist_m4macroDATA: $(dist_m4macro_DATA)
  751. @$(NORMAL_INSTALL)
  752. @list='$(dist_m4macro_DATA)'; test -n "$(m4macrodir)" || list=; \
  753. if test -n "$$list"; then \
  754. echo " $(MKDIR_P) '$(DESTDIR)$(m4macrodir)'"; \
  755. $(MKDIR_P) "$(DESTDIR)$(m4macrodir)" || exit 1; \
  756. fi; \
  757. for p in $$list; do \
  758. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  759. echo "$$d$$p"; \
  760. done | $(am__base_list) | \
  761. while read files; do \
  762. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(m4macrodir)'"; \
  763. $(INSTALL_DATA) $$files "$(DESTDIR)$(m4macrodir)" || exit $$?; \
  764. done
  765. uninstall-dist_m4macroDATA:
  766. @$(NORMAL_UNINSTALL)
  767. @list='$(dist_m4macro_DATA)'; test -n "$(m4macrodir)" || list=; \
  768. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  769. dir='$(DESTDIR)$(m4macrodir)'; $(am__uninstall_files_from_dir)
  770. # This directory's subdirectories are mostly independent; you can cd
  771. # into them and run 'make' without going through this Makefile.
  772. # To change the values of 'make' variables: instead of editing Makefiles,
  773. # (1) if the variable is set in 'config.status', edit 'config.status'
  774. # (which will cause the Makefiles to be regenerated when you run 'make');
  775. # (2) otherwise, pass the desired values on the 'make' command line.
  776. $(am__recursive_targets):
  777. @fail=; \
  778. if $(am__make_keepgoing); then \
  779. failcom='fail=yes'; \
  780. else \
  781. failcom='exit 1'; \
  782. fi; \
  783. dot_seen=no; \
  784. target=`echo $@ | sed s/-recursive//`; \
  785. case "$@" in \
  786. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  787. *) list='$(SUBDIRS)' ;; \
  788. esac; \
  789. for subdir in $$list; do \
  790. echo "Making $$target in $$subdir"; \
  791. if test "$$subdir" = "."; then \
  792. dot_seen=yes; \
  793. local_target="$$target-am"; \
  794. else \
  795. local_target="$$target"; \
  796. fi; \
  797. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  798. || eval $$failcom; \
  799. done; \
  800. if test "$$dot_seen" = "no"; then \
  801. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  802. fi; test -z "$$fail"
  803. ID: $(am__tagged_files)
  804. $(am__define_uniq_tagged_files); mkid -fID $$unique
  805. tags: tags-recursive
  806. TAGS: tags
  807. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  808. set x; \
  809. here=`pwd`; \
  810. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  811. include_option=--etags-include; \
  812. empty_fix=.; \
  813. else \
  814. include_option=--include; \
  815. empty_fix=; \
  816. fi; \
  817. list='$(SUBDIRS)'; for subdir in $$list; do \
  818. if test "$$subdir" = .; then :; else \
  819. test ! -f $$subdir/TAGS || \
  820. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  821. fi; \
  822. done; \
  823. $(am__define_uniq_tagged_files); \
  824. shift; \
  825. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  826. test -n "$$unique" || unique=$$empty_fix; \
  827. if test $$# -gt 0; then \
  828. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  829. "$$@" $$unique; \
  830. else \
  831. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  832. $$unique; \
  833. fi; \
  834. fi
  835. ctags: ctags-recursive
  836. CTAGS: ctags
  837. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  838. $(am__define_uniq_tagged_files); \
  839. test -z "$(CTAGS_ARGS)$$unique" \
  840. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  841. $$unique
  842. GTAGS:
  843. here=`$(am__cd) $(top_builddir) && pwd` \
  844. && $(am__cd) $(top_srcdir) \
  845. && gtags -i $(GTAGS_ARGS) "$$here"
  846. cscopelist: cscopelist-recursive
  847. cscopelist-am: $(am__tagged_files)
  848. list='$(am__tagged_files)'; \
  849. case "$(srcdir)" in \
  850. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  851. *) sdir=$(subdir)/$(srcdir) ;; \
  852. esac; \
  853. for i in $$list; do \
  854. if test -f "$$i"; then \
  855. echo "$(subdir)/$$i"; \
  856. else \
  857. echo "$$sdir/$$i"; \
  858. fi; \
  859. done >> $(top_builddir)/cscope.files
  860. distclean-tags:
  861. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  862. # Recover from deleted '.trs' file; this should ensure that
  863. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  864. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  865. # to avoid problems with "make -n".
  866. .log.trs:
  867. rm -f $< $@
  868. $(MAKE) $(AM_MAKEFLAGS) $<
  869. # Leading 'am--fnord' is there to ensure the list of targets does not
  870. # expand to empty, as could happen e.g. with make check TESTS=''.
  871. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  872. am--force-recheck:
  873. @:
  874. $(TEST_SUITE_LOG): $(TEST_LOGS)
  875. @$(am__set_TESTS_bases); \
  876. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  877. redo_bases=`for i in $$bases; do \
  878. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  879. done`; \
  880. if test -n "$$redo_bases"; then \
  881. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  882. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  883. if $(am__make_dryrun); then :; else \
  884. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  885. fi; \
  886. fi; \
  887. if test -n "$$am__remaking_logs"; then \
  888. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  889. "recursion detected" >&2; \
  890. elif test -n "$$redo_logs"; then \
  891. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  892. fi; \
  893. if $(am__make_dryrun); then :; else \
  894. st=0; \
  895. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  896. for i in $$redo_bases; do \
  897. test -f $$i.trs && test -r $$i.trs \
  898. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  899. test -f $$i.log && test -r $$i.log \
  900. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  901. done; \
  902. test $$st -eq 0 || exit 1; \
  903. fi
  904. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  905. ws='[ ]'; \
  906. results=`for b in $$bases; do echo $$b.trs; done`; \
  907. test -n "$$results" || results=/dev/null; \
  908. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  909. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  910. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  911. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  912. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  913. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  914. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  915. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  916. success=true; \
  917. else \
  918. success=false; \
  919. fi; \
  920. br='==================='; br=$$br$$br$$br$$br; \
  921. result_count () \
  922. { \
  923. if test x"$$1" = x"--maybe-color"; then \
  924. maybe_colorize=yes; \
  925. elif test x"$$1" = x"--no-color"; then \
  926. maybe_colorize=no; \
  927. else \
  928. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  929. fi; \
  930. shift; \
  931. desc=$$1 count=$$2; \
  932. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  933. color_start=$$3 color_end=$$std; \
  934. else \
  935. color_start= color_end=; \
  936. fi; \
  937. echo "$${color_start}# $$desc $$count$${color_end}"; \
  938. }; \
  939. create_testsuite_report () \
  940. { \
  941. result_count $$1 "TOTAL:" $$all "$$brg"; \
  942. result_count $$1 "PASS: " $$pass "$$grn"; \
  943. result_count $$1 "SKIP: " $$skip "$$blu"; \
  944. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  945. result_count $$1 "FAIL: " $$fail "$$red"; \
  946. result_count $$1 "XPASS:" $$xpass "$$red"; \
  947. result_count $$1 "ERROR:" $$error "$$mgn"; \
  948. }; \
  949. { \
  950. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  951. $(am__rst_title); \
  952. create_testsuite_report --no-color; \
  953. echo; \
  954. echo ".. contents:: :depth: 2"; \
  955. echo; \
  956. for b in $$bases; do echo $$b; done \
  957. | $(am__create_global_log); \
  958. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  959. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  960. if $$success; then \
  961. col="$$grn"; \
  962. else \
  963. col="$$red"; \
  964. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  965. fi; \
  966. echo "$${col}$$br$${std}"; \
  967. echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
  968. echo "$${col}$$br$${std}"; \
  969. create_testsuite_report --maybe-color; \
  970. echo "$$col$$br$$std"; \
  971. if $$success; then :; else \
  972. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  973. if test -n "$(PACKAGE_BUGREPORT)"; then \
  974. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  975. fi; \
  976. echo "$$col$$br$$std"; \
  977. fi; \
  978. $$success || exit 1
  979. check-TESTS:
  980. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  981. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  982. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  983. @set +e; $(am__set_TESTS_bases); \
  984. log_list=`for i in $$bases; do echo $$i.log; done`; \
  985. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  986. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  987. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  988. exit $$?;
  989. recheck: all
  990. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  991. @set +e; $(am__set_TESTS_bases); \
  992. bases=`for i in $$bases; do echo $$i; done \
  993. | $(am__list_recheck_tests)` || exit 1; \
  994. log_list=`for i in $$bases; do echo $$i.log; done`; \
  995. log_list=`echo $$log_list`; \
  996. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  997. am__force_recheck=am--force-recheck \
  998. TEST_LOGS="$$log_list"; \
  999. exit $$?
  1000. check-easy.log: check-easy
  1001. @p='check-easy'; \
  1002. b='check-easy'; \
  1003. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  1004. --log-file $$b.log --trs-file $$b.trs \
  1005. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  1006. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1007. check-multi.log: check-multi
  1008. @p='check-multi'; \
  1009. b='check-multi'; \
  1010. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  1011. --log-file $$b.log --trs-file $$b.trs \
  1012. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  1013. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1014. .test.log:
  1015. @p='$<'; \
  1016. $(am__set_b); \
  1017. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1018. --log-file $$b.log --trs-file $$b.trs \
  1019. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1020. "$$tst" $(AM_TESTS_FD_REDIRECT)
  1021. #.test$(EXEEXT).log:
  1022. # @p='$<'; \
  1023. # $(am__set_b); \
  1024. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1025. # --log-file $$b.log --trs-file $$b.trs \
  1026. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1027. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  1028. distdir: $(BUILT_SOURCES)
  1029. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  1030. distdir-am: $(DISTFILES)
  1031. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1032. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1033. list='$(DISTFILES)'; \
  1034. dist_files=`for file in $$list; do echo $$file; done | \
  1035. sed -e "s|^$$srcdirstrip/||;t" \
  1036. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1037. case $$dist_files in \
  1038. */*) $(MKDIR_P) `echo "$$dist_files" | \
  1039. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1040. sort -u` ;; \
  1041. esac; \
  1042. for file in $$dist_files; do \
  1043. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1044. if test -d $$d/$$file; then \
  1045. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1046. if test -d "$(distdir)/$$file"; then \
  1047. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1048. fi; \
  1049. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1050. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1051. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1052. fi; \
  1053. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1054. else \
  1055. test -f "$(distdir)/$$file" \
  1056. || cp -p $$d/$$file "$(distdir)/$$file" \
  1057. || exit 1; \
  1058. fi; \
  1059. done
  1060. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  1061. if test "$$subdir" = .; then :; else \
  1062. $(am__make_dryrun) \
  1063. || test -d "$(distdir)/$$subdir" \
  1064. || $(MKDIR_P) "$(distdir)/$$subdir" \
  1065. || exit 1; \
  1066. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  1067. $(am__relativize); \
  1068. new_distdir=$$reldir; \
  1069. dir1=$$subdir; dir2="$(top_distdir)"; \
  1070. $(am__relativize); \
  1071. new_top_distdir=$$reldir; \
  1072. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  1073. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  1074. ($(am__cd) $$subdir && \
  1075. $(MAKE) $(AM_MAKEFLAGS) \
  1076. top_distdir="$$new_top_distdir" \
  1077. distdir="$$new_distdir" \
  1078. am__remove_distdir=: \
  1079. am__skip_length_check=: \
  1080. am__skip_mode_fix=: \
  1081. distdir) \
  1082. || exit 1; \
  1083. fi; \
  1084. done
  1085. check-am: all-am
  1086. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1087. check: check-recursive
  1088. all-am: Makefile $(MANS) $(DATA)
  1089. installdirs: installdirs-recursive
  1090. installdirs-am:
  1091. for dir in "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(m4macrodir)"; do \
  1092. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1093. done
  1094. install: install-recursive
  1095. install-exec: install-exec-recursive
  1096. install-data: install-data-recursive
  1097. uninstall: uninstall-recursive
  1098. install-am: all-am
  1099. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1100. installcheck: installcheck-recursive
  1101. install-strip:
  1102. if test -z '$(STRIP)'; then \
  1103. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1104. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1105. install; \
  1106. else \
  1107. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1108. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1109. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1110. fi
  1111. mostlyclean-generic:
  1112. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1113. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1114. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1115. clean-generic:
  1116. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1117. distclean-generic:
  1118. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1119. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1120. maintainer-clean-generic:
  1121. @echo "This command is intended for maintainers to use"
  1122. @echo "it deletes files that may require special tools to rebuild."
  1123. clean: clean-recursive
  1124. clean-am: clean-generic clean-libtool mostlyclean-am
  1125. distclean: distclean-recursive
  1126. -rm -f Makefile
  1127. distclean-am: clean-am distclean-generic distclean-tags
  1128. dvi: dvi-recursive
  1129. dvi-am:
  1130. html-am:
  1131. info: info-recursive
  1132. info-am:
  1133. install-data-am: install-dist_m4macroDATA install-man
  1134. install-dvi: install-dvi-recursive
  1135. install-dvi-am:
  1136. install-exec-am:
  1137. install-html: install-html-recursive
  1138. install-html-am:
  1139. install-info: install-info-recursive
  1140. install-info-am:
  1141. install-man: install-man3
  1142. install-pdf: install-pdf-recursive
  1143. install-pdf-am:
  1144. install-ps: install-ps-recursive
  1145. install-ps-am:
  1146. installcheck-am:
  1147. maintainer-clean: maintainer-clean-recursive
  1148. -rm -f Makefile
  1149. maintainer-clean-am: distclean-am maintainer-clean-generic
  1150. mostlyclean: mostlyclean-recursive
  1151. mostlyclean-am: mostlyclean-generic mostlyclean-libtool
  1152. pdf-am:
  1153. ps: ps-recursive
  1154. ps-am:
  1155. uninstall-am: uninstall-dist_m4macroDATA uninstall-man
  1156. uninstall-man: uninstall-man3
  1157. .MAKE: $(am__recursive_targets) check-am install-am install-strip
  1158. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
  1159. check-TESTS check-am clean clean-generic clean-libtool \
  1160. cscopelist-am ctags ctags-am distclean distclean-generic \
  1161. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1162. html-am info info-am install install-am install-data \
  1163. install-data-am install-dist_m4macroDATA install-dvi \
  1164. install-dvi-am install-exec install-exec-am install-html \
  1165. install-html-am install-info install-info-am install-man \
  1166. install-man3 install-pdf install-pdf-am install-ps \
  1167. install-ps-am install-strip installcheck installcheck-am \
  1168. installdirs installdirs-am maintainer-clean \
  1169. maintainer-clean-generic mostlyclean mostlyclean-generic \
  1170. mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
  1171. uninstall uninstall-am uninstall-dist_m4macroDATA \
  1172. uninstall-man uninstall-man3
  1173. .PRECIOUS: Makefile
  1174. libcurl-symbols.3: $(srcdir)/symbols-in-versions $(srcdir)/mksymbolsmanpage.pl
  1175. perl $(srcdir)/mksymbolsmanpage.pl < $(srcdir)/symbols-in-versions > $@
  1176. html: $(HTMLPAGES)
  1177. cd opts && $(MAKE) html
  1178. .3.html:
  1179. $(MAN2HTML)
  1180. pdf: $(PDFPAGES)
  1181. cd opts && $(MAKE) pdf
  1182. .3.pdf:
  1183. @(foo=`echo $@ | sed -e 's/\.[0-9]$$//g'`; \
  1184. groff -Tps -man $< >$$foo.ps; \
  1185. ps2pdf $$foo.ps $@; \
  1186. rm $$foo.ps; \
  1187. echo "converted $< to $@")
  1188. check-easy: $(srcdir)/curl_easy_setopt.3 $(srcdir)/opts/CURLOPT*.3
  1189. OPTS="$$(ls $(srcdir)/opts/CURLOPT*.3 | $(SED) -e 's,^.*/,,' -e 's,\.3$$,,')" && \
  1190. for opt in $$OPTS; do grep "^\.IP $$opt$$" $(srcdir)/curl_easy_setopt.3 >/dev/null || echo Missing $$opt; done > $@
  1191. check-multi: $(srcdir)/curl_multi_setopt.3 $(srcdir)/opts/CURLMOPT*.3
  1192. OPTS="$$(ls $(srcdir)/opts/CURLMOPT*.3 | $(SED) -e 's,^.*/,,' -e 's,\.3$$,,')" && \
  1193. for opt in $$OPTS; do grep "^\.IP $$opt$$" $(srcdir)/curl_multi_setopt.3 >/dev/null || echo Missing $$opt; done > $@
  1194. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1195. # Otherwise a system limit (for SysV at least) may be exceeded.
  1196. .NOEXPORT: